tppred2
=======

Mitochondrial targeting peptide prediction

Requirements
============

tppred2 is entirely written in Python. The following package is required:

 - EMBOSS hmoment executable (http://emboss.sourceforge.net/apps/release/6.6/emboss/apps/hmoment.html)

To install this package under Linux debian/ubuntu (you need to be a 
superuser):

sudo apt-get install emboss

Configuration
=============

In order to run tppred2 you need to edit the bin/runTPpred2.sh file by setting 
the TPPRED_ROOT variable to point to the tppred2 installation directory. 
For example, if tppred2 has been uncompressed into /home/cas/tppred2 
you should set:

TPPRED_ROOT='/home/cas/tppred2'

If you whish, you can copy the 'bin/runTPpred2.sh' script to a directory in 
the users' path.

Run the program
===============

Run tppred2 on a multi-FASTA input file as follows:

bin/runTPpred2.sh input_fasta_file.fa

By default tppred2 outputs the result to stdout. If you want to write output to file run:

bin/runTPpred2.sh input_fasta_file.fa out_file.txt

Enjoy!!

Please, report problems or bugs to:  savojard@biocomp.unibo.it


 


