#!/bin/bash

export TPPRED_ROOT=/home/savojard/tppred2_imp/tppred2

if [[ $# -lt 1 || $# -gt 2 ]]; then
 echo "Usage: "$0" <fasta_file> [<output_file>]"
 exit 1
fi

source ${TPPRED_ROOT}/virtualenv-15.1.0/tppred2/bin/activate

if [[ $# -eq 1 ]]; then

  python ${TPPRED_ROOT}/bin/tppred2.py -f $1
else
  python ${TPPRED_ROOT}/bin/tppred2.py -f $1 -o $2

fi

exit 0
